Next: Registering the reference to the COS Naming server, Up: Resolving names in a CORBA application

#### 6.4.1 `po_cos_naming`

`po_cos_naming` is a standalone server that supports the CORBA COS Naming specification. When launched, it returns its `IOR` and `corbaloc`, which can then be used by other CORBA applications.

If you want `po_cos_naming` to return the same `IOR` or `corbaloc` at each startup, you must set a default listen port for the protocol personalities you use. See Configuring protocol personality preferences for more details.

`po_cos_naming` can output its `IOR` directly to a file using the `-file <filename>` flag. This, in conjonction with the `'file://'` naming scheme provided by `CORBA`, provides a convenient way to store initial references to the Naming Service.

         Usage: po_cos_naming
          -file <filename> : output COS Naming IOR to 'filename'
          -help : print this help
          [PolyORB command line configuration variables]